# General
base_url = "https://anemone.pages.dev"
compile_sass = false
minify_html = true
generate_feeds = true
generate_sitemap = true

# Taxonomies
taxonomies = [
    {name = "tags", feed = true, paginate_by = 10},
]

# Language
default_language = "en"

[languages.en]
build_search_index = true
title = "anemone"
description = "A minimalist Zola theme that prioritizes clean CSS and avoids heavy JavaScript. Enjoy a seamless user experience with lightning-fast load times. Let your content take center stage in a clutter-free, elegant design that enhances readability. Responsive and efficient, anemone brings focus to your ideas."

[languages.fr]
build_search_index = true
title = "anemone"
description = "Un thème Zola minimaliste qui privilégie un CSS épuré et évite le JavaScript lourd. Profitez d'une expérience utilisateur fluide avec des temps de chargement ultra-rapides. Mettez votre contenu en valeur grâce à un design épuré et élégant qui améliore la lisibilité. Réactif et efficace, Anémone met en valeur vos idées."

[markdown]
render_emoji = true
external_links_target_blank = true
smart_punctuation = true
highlight_code = false
highlight_theme = "gruvbox-dark"

[slugify]
paths = "on"
taxonomies = "on"
anchors = "on"

[link_checker]
internal_level = "warn"

# Extra
[extra]
author = "Speyll"
favicon = "favicon.ico"
list_pages = false
twitter_card = true
enable_search = true

## Navigation
header_nav = [
  { url = "/", name_en = "/home/", name_fr = "/accueil/" },
  { url = "/about", name_en = "/about/", name_fr = "/concernant/" },
  { url = "/journal", name_en = "/journal/", name_fr = "/journal/" },
  { url = "/blog", name_en = "/blog/", name_fr = "/blog/" }
]
